<?php 
date_default_timezone_set('America/Caracas');
//activamos almacenamiento en el buffer
ob_start();
if (strlen(session_id())<1) 
  session_start();

if (!isset($_SESSION['nombre'])) {
  echo "debe ingresar al sistema correctamente para vosualizar el reporte";
}else{

if ($_SESSION['almacen']==1) {

//incluimos a la clase PDF_MC_Table
require('PDF_MC_Table.php');


//instanciamos la clase para generar el documento pdf
$pdf=new PDF_MC_Table();

//agregamos la primera pagina al documento pdf
$pdf->AddPage();


//OBTENEMOS LAS VAIABLES DEL INFORME
//url='reportes/informefisioterapeutico.php?me='+datos.medico+'&dg='+datos.diagnostico+'&pa='+paciente+'&se='+sesiones+'&co='+costo;

$mes			= date('n');
$mess			='';
switch ($mes) {
    case 1:
        $mess='Enero';
    break;
    case 2:
        $mess='Febrero';
    break;
    case 3:
        $mess='Marzo';
    break;
	case 4:
        $mess='Abril';
    break;
    case 5:
        $mess='Mayo';
    break;
    case 6:
        $mess='Junio';
    break;
	case 7:
        $mess='Julio';
    break;
    case 8:
        $mess='Agosto';
    break;
    case 9:
        $mess='Septiembre';
    break;
	case 10:
        $mess='Octubre';
    break;
    case 11:
        $mess='Noviembre';
    break;
    case 12:
        $mess='Diciembre';
    break;
}
$dia			= date('j');
$ano			= date('Y');
$fecha			= 'Caracas, '.$dia.' '.$mess.' '.$ano;
$dato 			= $_GET["dato"];
$datos 			= explode(",*/*,", $dato);

$medico         = $datos[0];
$diagnostico    = $datos[1];
//$paciente       = $datos[2];
$texto1         = $datos[2];
$texto2         = $datos[3];
$texto3         = $datos[4];
$texto4         = $datos[5];
$texto5         = $datos[6];
$texto6         = $datos[7];
$texto7         = $datos[8];
//$texto8         = "Lic. Maria Elena Sortino Werner";

$parrafo1		= '          '.$texto1.' '.$medico.' '.$texto2.' '.$diagnostico.'.';
$parrafo2		= '          '.$texto3;
$parrafo3		= '          '.$texto4;
$parrafo4		= '          '.$texto5;
$parrafo5		= '          '.$texto6;
$parrafo6		= $texto7;



/*$pdf	->SetFillColor(0,0,0);
$pdf	->SetTextColor(255,255,255);*/   
$pdf	->SetFillColor(255,255,255);
$pdf	->SetTextColor(0,0,0);
$pdf	->SetLineWidth(1);
$pdf	->SetDrawColor(177,34,78);

//Fijamos valores inicial
$x		=15;
$pdf->Ln(30);

/* //Prueba
$y		=$pdf->GetY();
$pdf	->SetXY($x,$y);
$pdf->SetFont('Arial','B',12);
$pdf->MultiCell(175,6,utf8_decode($datos),0,'C',1);
$pdf->Ln(30); */

//Título
$y		=$pdf->GetY();
$pdf	->SetXY($x,$y);
$pdf->SetFont('Arial','B',12);
$pdf->MultiCell(175,6,utf8_decode('INFORME FISIOTERAPÉUTICO'),0,'C',1);
$pdf->Ln(30);

//Fecha
$y		=$pdf->GetY();
$pdf	->SetXY($x,$y);
$pdf->SetFont('Arial','',10);
$pdf->MultiCell(175,6,utf8_decode($fecha),0,'R',1);
$pdf->Ln(30);


//Parrafo1
$y		=$pdf->GetY();
$pdf	->SetXY($x,$y);
$pdf	->SetFont('Arial', '', 10);
$pdf	->MultiCell(175, 4,  utf8_decode($parrafo1), 0, 'J', 1);
$pdf->Ln(10);

//Parrafo2
$y		=$pdf->GetY();
$x		=15;
$pdf	->SetXY($x,$y);
$pdf	->SetFont('Arial', '', 10);
$pdf	->MultiCell(175, 4,  utf8_decode($parrafo2), 0, 'J', 1);
$pdf->Ln(10);

//Parrafo3
$y		=$pdf->GetY();
$x		=15;
$pdf	->SetXY($x,$y);
$pdf	->SetFont('Arial', '', 10);
$pdf	->MultiCell(175, 4,  utf8_decode($parrafo3), 0, 'J', 1);
$pdf->Ln(10);

//Parrafo4
$y		=$pdf->GetY();
$x		=15;
$pdf	->SetXY($x,$y);
$pdf	->SetFont('Arial', '', 10);
$pdf	->MultiCell(175, 4,  utf8_decode($parrafo4), 0, 'J', 1);
$pdf->Ln(10);

//Parrafo5
$y		=$pdf->GetY();
$x		=15;
$pdf	->SetXY($x,$y);
$pdf	->SetFont('Arial', '', 10);
$pdf	->MultiCell(175, 4,  utf8_decode($parrafo5), 0, 'J', 1);
$pdf->Ln(10);

//Parrafo6
$y		=$pdf->GetY();

$pdf	->SetXY($x,$y);
$pdf	->SetFont('Arial', '', 10);
$pdf	->MultiCell(175, 4,  utf8_decode($parrafo6), 0, 'C', 1);
$pdf->Ln(10);



//mostramos el documento pdf
$pdf->Output();

}else{
echo "No tiene permiso para visualizar el reporte";
}

}

ob_end_flush();
  ?>